### Method

# Gio SettingsSchemaKey get_summary

since: 2.34

#### Declaration [src]

    const gchar*
    g_settings_schema_key_get_summary (
      GSettingsSchemaKey* key
    )

#### Description [src]

Gets the summary for `key`.

If no summary has been provided in the schema for `key`, returns `NULL`.

The summary is a short description of the purpose of the key; usually one short sentence. Summaries can be translated and the value returned from this function is is the current locale.

This function is slow. The summary and description information for the schemas is not stored in the compiled schema database so this function has to parse all of the source XML files in the schema directory.

Available since: 2.34

#### Return value

Type: `const gchar*`

The summary for `key`, or `NULL`.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.